Skip to main content

Check Status


Request a check status to retrieve the current status of a transaction request. The check status request is helpful for detecting when a pending status changes. The check status request requires the request ID from the response of the corresponding request you are attempting to retrieve.

You can check the status of a sale or mandate 10 minutes after the request is sent.

Endpoints

POST /pts/v2/refresh-payment-status/{id}

POST /pts/v2/refresh-payment-status/{id}

The {id} value is the request ID of the API service being retrieved.

See Endpoints for the full per-brand Server URLs reference.

Example

{  "paymentInformation": {    "paymentType": {      "name": "bankTransfer",      "method": {        "name": "payToPayByBank"      }    }  },  "processingInformation": {    "actionList": ["AP_STATUS"]  }}
{    "processorInformation": {        "responseCode": "00005"    },    "reconciliationId": "KOZX0DMQKX0C",    "message": "Request was processed successfully.",    "status": "FUNDED",    "id": "7544157383456089204805",    "submitTimeUtc": "2025-08-05T17:42:18Z"}
FieldTypeDescription
clientReferenceInformation.codeSet to an 18-character value or less.
paymentInformation.paymentType.method.nameSet to payToPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to AP_STATUS.

Response Statuses

If you send a check status request to retrieve the current sale status, these are the possible responses:

  • FAILED: The sale request failed. A failed request can be due to either Pay by Bank rejecting the transaction or a technical error.
  • FUNDED: The sale request is funded for the requested amount.
  • PENDING: The sale request is accepted but is not complete. Request the check status service to retrieve status updates.
  • SETTLED: The sale request is settled for the requested amount.

If you send a check status request to retrieve the current refund status, these are the possible responses:

  • FAILED: The refund request failed. A failed request can be due to PayTo Pay by Bank rejecting the transaction or due to a technical error.
  • PENDING: The refund request is accepted but is not complete. Request the check status service to retrieve status updates.
  • REFUNDED: The settled amount is refunded.

Last published: September 29, 2026